<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".ui.activity.A_HomeActivity">

    <androidx.viewpager2.widget.ViewPager2
        android:id="@+id/home_viewpager"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintBottom_toTopOf="@+id/home_tab_layout"
        app:layout_constraintTop_toTopOf="parent" />

    <com.google.android.material.tabs.TabLayout
        android:id="@+id/home_tab_layout"
        android:layout_width="match_parent"
        android:layout_height="72dp"
        android:background="@drawable/a_rounded_rectangle_tab_layout"
        app:layout_constraintBottom_toBottomOf="parent"
        app:tabIndicatorHeight="0dp"
        app:tabRippleColor="@android:color/transparent" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/home_container"
        android:layout_width="match_parent"
        android:layout_height="74dp"
        android:layout_marginStart="12dp"
        android:layout_marginEnd="12dp"
        android:layout_marginBottom="-5dp"
        android:background="@drawable/round_rectangle"
        android:backgroundTint="#80F988"
        android:visibility="gone"
        app:layout_constraintBottom_toTopOf="@+id/home_tab_layout">

        <!-- 包裹 ProgressBar 和 ImageView 的 FrameLayout -->
        <FrameLayout
            android:id="@+id/progress_container"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="22dp"
            android:padding="8dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <!-- 自定义圆形进度条 -->
            <com.hi.music.player.helper.CircularProgressBar
                android:id="@+id/circular_progress_bar"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center" />

            <!-- 图片视图 -->
            <ImageView
                android:id="@+id/left_image"
                android:layout_width="48dp"
                android:layout_height="48dp"
                android:layout_gravity="center"
                android:src="@mipmap/cover" />
        </FrameLayout>

        <!-- 中间的两排 TextView -->
        <TextView
            android:id="@+id/top_text"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="12dp"
            android:text="顶部文本"
            android:textSize="16sp"
            android:textStyle="bold"
            app:layout_constraintBottom_toTopOf="@+id/bottom_text"
            app:layout_constraintStart_toEndOf="@+id/progress_container"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/bottom_text"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="12dp"
            android:text="底部文本"
            android:textSize="12sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toEndOf="@+id/progress_container"
            app:layout_constraintTop_toBottomOf="@+id/top_text" />

        <!-- 右侧水平排列的两个 ImageView -->
        <ImageView
            android:id="@+id/clock"
            android:layout_width="34dp"
            android:layout_height="34dp"
            android:layout_marginEnd="16dp"
            android:src="@drawable/clock"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@+id/pause"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageView
            android:id="@+id/pause"
            android:layout_width="34dp"
            android:layout_height="34dp"
            android:layout_marginEnd="20dp"
            android:src="@drawable/pause"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>


</androidx.constraintlayout.widget.ConstraintLayout>